# $Revision: 1.42.2.5 $, $Date: 2006/11/30 16:47:11 $
Summary:	GNOME Bluetooth Subsystem
Summary(pl):	Podsystem GNOME Bluetooth
Name:		gnome-bluetooth
Version:	0.7.0
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-bluetooth/0.7/%{name}-%{version}.tar.gz
# Source0-md5: f24acd21d98038a12c9e61cb6987cac1
Patch0:		%{name}-python.patch
Patch1:		%{name}-gnomeui.patch
Patch2:		%{name}-desktop.patch
Patch3:		%{name}-manager_py.patch
#Patch4:		%{name}-obex.patch
URL:		http://usefulinc.com/software/gnome-bluetooth/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gob2 >= 2.0.8
BuildRequires:	libbtctl-devel >= 0.6
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libtool
BuildRequires:	librsvg-devel >= 2.0
BuildRequires:	openobex-devel
BuildRequires:	python-btctl
BuildRequires:	sed >= 4.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	bluez-utils
Requires:	python-btctl
Requires:	python-gnome-bonobo-ui
Requires:	python-gnome-canvas
Requires:	python-gnome-ui >= 2.0.0
Requires:	python-gnome-vfs
Requires:	python-pygtk-glade
%pyrequires_eq	python-libs
Obsoletes:	python-gnome-bluetooth
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GNOME Bluetooth Subsystem is being developed as a prototype by Edd
Dumbill, with the intention of being submitted to the GNOME desktop
project. The software is in its early stages right now.

This package contains a Bonobo server to control Bluetooth devices,
and a simple GUI to explore which devices are available
(gnome-bluetooth-admin). An OBEX server is available,
gnome-obex-server. This will receive files sent via Bluetooth to your
PC, and save them in your home directory. The program gnome-obex-send
enables you to send files. It is used by the gnome-vfs module - go to
bluetooth:/// in Nautilus and drag and drop a file onto a destination
device.

%description -l pl
GNOME Bluetooth Subsystem (podsystem GNOME Bluetooth) jest tworzony
przez Edda Dumbilla jako prototyp z zamiarem wczenia do projektu
GNOME. Na razie jest we wczesnym stadium rozwoju.

Ten pakiet zawiera serwer Bonobo do sterowania urzdzeniami Bluetooth
oraz proste GUI do przegldania dostpnych urzdze
(gnome-bluetooth-admin). Dostpny jest serwer OBEX
(gnome-obex-server), pozwalajcy ciga pliki wysane przez Bluetooth
do PC i zapisywa je w katalogu domowym. Program gnome-obex-send
pozwala wysya pliki. Jest uywany przez modu gnome-vfs - wystarczy
wpisa bluetooth:/// w Nautilusie i przecign plik na urzdzenie
docelowe.

%package libs
Summary:	GNOME bluetooth subsystem shared libraries
Summary(pl):	Wspdzielone biblioteki dla podsystemu GNOME bluetooth
Group:		Development/Libraries
Requires:	libgnomeui >= 2.14.0

%description libs
GNOME bluetooth subsystem shared libraries.

%description libs -l pl
Wspdzielone biblioteki dla podsystemu GNOME bluetooth.

%package devel
Summary:	Header files for GNOME bluetooth subsystem
Summary(pl):	Pliki nagwkowe dla podsystemu GNOME bluetooth
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for GNOME bluetooth subsystem.

%description devel -l pl
Pliki nagwkowe dla podsystemu GNOME bluetooth.

%package static
Summary:	Static GNOME bluetooth library
Summary(pl):	Statyczna biblioteka GNOME bluetooth
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GNOME bluetooth library.

%description static -l pl
Statyczna biblioteka GNOME bluetooth.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
#%patch4 -p1

sed -i -e 's#$(PYTHON_PREFIX)/lib#$(PYTHON_PREFIX)/%{_lib}#g' python/Makefile.am

%build
%{__glib_gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
cd libegg
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
cd ..
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{py_comp} $RPM_BUILD_ROOT%{py_sitedir}
%{py_ocomp} $RPM_BUILD_ROOT%{py_sitedir}

sed -i 's/manager.py$/manager.pyo/' $RPM_BUILD_ROOT%{_bindir}/gnome-bluetooth-manager
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/lib*.{a,la}
rm -f $RPM_BUILD_ROOT%{py_sitedir}/gnomebt/*.{a,la,py}

# duplicated with nb
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gnome-obex-server.schemas

%preun
%gconf_schema_uninstall gnome-obex-server.schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*
%{_pixmapsdir}/*.png
%{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas

%dir %{py_sitedir}/gnomebt
%attr(755,root,root) %{py_sitedir}/gnomebt/*.so
%{py_sitedir}/gnomebt/*.pyc
%{py_sitedir}/gnomebt/*.pyo

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-bluetooth.spec,v $
Revision 1.42.2.5  2006/11/30 16:47:11  glen
- rel 3

Revision 1.42.2.4  2006/10/30 08:44:07  glen
- rel 2

Revision 1.42.2.3  2006/06/01 20:08:01  freetz
- R: python-btctl

Revision 1.42.2.2  2006/05/18 22:33:36  baggins
- release 1

Revision 1.42.2.1  2006/05/15 22:42:51  baggins
- BR recent libgnomeui

Revision 1.42  2006/04/03 03:45:35  wolvverine
- add patch for manager.py
- !!problem with patch 4

Revision 1.41  2006/03/15 10:44:50  wolvverine
- md5

Revision 1.40  2006/03/15 02:30:33  wolvverine
- correct

Revision 1.39  2006/03/15 02:12:18  wolvverine
- BR

Revision 1.38  2006/02/16 11:56:44  freetz
- nautilus-devel no longer required

Revision 1.37  2006/01/31 14:13:09  qboosh
- removed obsolete cleanup patch

Revision 1.36  2005/12/26 17:39:07  qboosh
- use pixmapsdir macro

Revision 1.35  2005/12/26 17:16:19  wolvverine
- add file to %files

Revision 1.34  2005/12/26 04:07:37  wolvverine
- up to 0.7.0
- test it

Revision 1.33  2005/10/30 18:26:31  ankry
- typo

Revision 1.32  2005/10/29 07:49:16  ankry
- kill no, rel. 4

Revision 1.31  2005/09/13 13:08:17  qboosh
- no autogenerated soname symlink in -libs, unified

Revision 1.30  2005/09/10 23:51:39  freetz
- libs separated from main package, rel.3

Revision 1.29  2005/09/08 14:44:27  freetz
- (maybe) fixed amd64 build

Revision 1.28  2005/09/08 14:31:30  freetz
- (maybe) fixed macros, rel.2

Revision 1.27  2005/09/08 14:17:04  freetz
- added missing Rs (python-gnome-{canvas,bonobo-ui}

Revision 1.26  2005/08/21 10:20:41  wiget
- updated to 0.6.0

Revision 1.25  2005/06/23 12:31:27  blues
- missing Req.

Revision 1.24  2005/06/12 22:10:34  freetz
- BR: python-pygtk-glade (reported by Marcin Albecki)

Revision 1.23  2005/06/12 22:08:00  freetz
- kill unpackaged files

Revision 1.22  2005/06/12 21:53:04  freetz
- added fixes for pygtk 2.6.x/cleanups, rel.6

Revision 1.21  2005/05/23 13:09:46  ankry
- added desktop patch, rel. 5

Revision 1.20  2005/05/13 13:49:52  ankry
- rel. 4 to rebuild with new libhowl

Revision 1.19  2005/05/11 11:34:23  leafnode
- updated BR

Revision 1.18  2004/12/27 14:35:07  saq
- release 3

Revision 1.17  2004/12/27 14:24:02  saq
- fixed quoting

Revision 1.16  2004/12/26 15:57:27  saq
- release 2 for rebuild with python 2.4

Revision 1.15  2004/11/17 22:03:47  qboosh
- BR sed 4.0

Revision 1.14  2004/11/14 13:04:14  havner
- try to fix amd64 build

Revision 1.13  2004/09/09 17:53:27  qboosh
- Obsoletes: python-gnome-bluetooth, pyrequires_eq python-libs, cosmetics

Revision 1.12  2004/09/08 20:59:38  wrobell
- merge python package with main package (main program uses python modules)
- fixed install requirements
- fixed static package
- rel. 1

Revision 1.11  2004/08/12 21:47:14  ankry
- s/gnome/GNOME/

Revision 1.10  2004/07/28 08:03:14  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.9  2004/07/01 18:02:29  qboosh
- pl for python-, removed bogus Obsoletes

Revision 1.8  2004/07/01 06:26:22  wrobell
- added python subpackage

Revision 1.7  2004/06/30 21:48:43  qboosh
- pl for new packages

Revision 1.6  2004/06/30 21:37:38  wrobell
- added static and devel subpackages
- fixed files section

Revision 1.5  2004/06/30 00:13:54  wrobell
- started update to version 0.5.1

Revision 1.4  2004/06/12 01:36:47  wrobell
- ver. 0.5, nfy

Revision 1.3  2003/09/08 14:47:45  qboosh
- descriptions, BR: ac,am,lt,openobex-devel

Revision 1.2  2003/09/05 15:46:49  wrobell
- libtoolize

Revision 1.1  2003/09/04 14:52:45  wrobell
- based on template, nfy
